// implementation of declaration

#include <sdkddkver.h>
#include <afxwin.h>
#include <afxext.h>
#include <afxcmn.h>
#include "resource.h"
#include "applicator.h"
#include "documenter.h"
#include "framer.h"
#include "slider.h"
#include "viewer.h"

BEGIN_MESSAGE_MAP(applicator, CWinApp)
END_MESSAGE_MAP()

applicator::applicator()
{
}

BOOL applicator::InitInstance()
{
    CWinApp::InitInstance();

    // do not allow more instance
    CreateMutex(NULL,FALSE,"dktyudih");
    if (GetLastError()) return FALSE;

    CSingleDocTemplate * templet = new CSingleDocTemplate
    (IDR_FRAME,RUNTIME_CLASS(documenter),RUNTIME_CLASS(framer),RUNTIME_CLASS(viewer));
    if (templet == NULL) return FALSE;

    AddDocTemplate(templet);
    OnFileNew();
    m_pMainWnd->ShowWindow(SW_SHOW);
    m_pMainWnd->UpdateWindow();

    CWnd * view = m_pMainWnd->GetTopWindow();
    if (view == NULL) return FALSE;

    ((viewer *)view)->additional_update();
    return TRUE;
}

applicator application;
